[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'LResources' (#lcl)

# TLResourceList.Add

Adds a resource description to the list with the specified values.

## Declaration

Source position: lresources.pp line 74

`public procedure TLResourceList.Add(`
`const Name: AnsiString;`
`const ValueType: AnsiString;`
`const Value: AnsiString`
`); procedure TLResourceList.Add(`
`const Name: AnsiString;`
`const ValueType: AnsiString;`
`const Values: array of string`
`);`

## Arguments

`Name` |  | Name for the resource.
`ValueType` |  | Name for the Type used in the value.
`Value` |  | A single AnsiString value string for the type.

## Arguments

`Name` |  | Name for the resource.
`ValueType` |  | Name for the Type used in the value.
`Values` |  | An array with the String values for the type.

## Description

ValueType is stored in uppercase.